import os
from gradio_client import Client

class RenderController:
    def get_render(self, hf_token='', text="Hello!!",
                   selected_model="Model 1 (Turbo Realism)") -> str:

        client = Client("Jonny001/Text-to-Image")

        result = client.predict(
            text=text,
            selected_model=selected_model,
            api_name="/generate_images"
        )

        print(result)

        return str(result)
